# frozen_string_literal: true

Application.boot(:cache, namespace: true) do
  init do
    require 'cht-lib-fabric/clients/redis'
  end

  start do
    redis_host = target[:settings].redis_workers_service_host
    redis_port = target[:settings].redis_workers_service_port
    redis_url = "redis://#{redis_host}:#{redis_port}"

    log = target[:settings].redis_debug ? target[:logger] : nil

    cache_redis = ::Platform::Clients::Redis.new(
      url: redis_url,
      logger: log,
      namespace: SERVICE_TASK,
      auto_reconnect: true,
      thread_safe: true
    )
    register(:redis, cache_redis)
  end
end
