# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'

Application.boot(:legacy_mysql) do
  init do
    require 'active_record'
    require 'active_record/base'
    require 'erb'
    require 'multidb'
  end

  start do
    str = File.read target[:settings].mysql_config_file
    yml = ERB.new(str).result
    spec = YAML.load(yml)[target.env.to_s]
    register("db_config", spec)

    ActiveRecord::Base.establish_connection spec

    # TODO: Stop logging in production when we are officially real
    ActiveRecord::Base.logger = target[:logger]
  end
end
