# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'
require 'json'

Application.boot(:service_integration_accounts) do
    init do
      require 'yaml'
    end

    start do |application|
        use :settings
        settings = application[:settings]
        service_accounts = YAML.load(
            File.read(
            "config/#{settings.service_accounts_config_file}"
            )
        )
        logger = target[:logger]
        logger.debug "Loaded service accounts #{service_accounts} for #{ENV['RACK_ENV']}}"
        env = ENV['RACK_ENV'].to_sym
        env_with_region = (env.to_s.eql?('development') || env.to_s.eql?('test')) ? env.to_s : (env.to_s + '-' + ENV['AWS_REGION'].to_s)
        env_service_accounts = service_accounts['service_integration_accounts']['env']["#{env_with_region}"]
        logger.debug("ENV specific accounts #{env_service_accounts}")
        # Assign based on RACK_ENV
        register :service_integration_accounts, env_service_accounts
    end
end


